Katello - Bug #23837

Content View is not updated on Content Host when change is made via Hosts / All Hosts <Edit
option>
06/06/2018 12:51 PM - Andrew Kofink

Status: Closed
Priority: High
Assignee: Andrew Kofink
Category: Hosts
Target version: Katello 3.6.1
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1566825 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/742
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1566825

Description of problem:

Customer normally update the CV via Hosts - All Hosts - Edit on the Content Host row - <Select the cv> - Submit. After this change
the new info still on this page and if we check on Hosts - Content Hosts - <Content Host details page> - CV we can confirm the
information was updated BUT on the Content Host indeed the value still the same, after execute subscription-manager identity we
can see the value still unchangeable, executing the command subscription-manager refresh didn't do difference, still the same.

Attention point is, this works as explanation above until Katello 3.0, on Katello 3.4 this doesn't work anymore.

Version-Release number of selected component (if applicable):
3.4

How reproducible:
100%

Steps to Reproduce:

1. According explanation above and I'll do a complete description on the sequence
2.

3.

Actual results:
On the Content Host still the same Environment name, then as consequence customer change the CV but this is not reflected on the
Content Host indeed.

Expected results:
See the CV name on the "Environment name" when executing subscription-manager identity and as consequence see the new
content from repo/cv.

Additional info:

Related issues:
Related to foreman-tasks - Bug #24493: Cannot add host parameters to hosts: N... Closed

Associated revisions

Revision 55627f22 - 07/02/2018 03:05 PM - Andrew Kofink
Fixes #23837: prepend ActionTriggering methods

History

#1 - 06/06/2018 12:54 PM - The Foreman Bot
- Assignee set to Andrew Kofink

- Pull request https://github.com/Katello/katello/pull/7427 added
#2 - 06/06/2018 05:49 PM - John Mitsch

- Subject changed from Content View is not updated on Content Host when change is made via Hosts / All Hosts <Edit option>
to Content View is not updated on Content Host when change is made via Hosts / All Hosts <Edit option>

- Priority changed from Normal to High

- translation missing: en.field_release set to 352

#3 - 06/06/2018 06:28 PM - The Foreman Bot
- Status changed from New to Ready For Testing

#4 - 07/02/2018 04:01 PM - Andrew Kofink
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|55627{22138092794538db079c5¢cdf2cd0741709.

#5 - 07/09/2018 09:11 PM - Brad Buckingham
- Target version changed from 1.3.1 to Katello 3.7.0

- Triaged set to No

#6 - 10/17/2018 07:44 AM - lvan Necas
- Related to Bug #24493: Cannot add host parameters to hosts: Name has already been taken added
